/* ------------------------------------------------------ */
/*                      LWINFO.H                          */
/*          Routine wertet den Bootsektor aus             */
/*        (C) 1991  Michael Gruteser & TOOLBOX            */
/* ------------------------------------------------------ */

struct bootsec_info {
  char          hersteller[9];
  int           bytes_pro_sektor;
  short         sektoren_pro_cluster;
  int           reservierte_sektoren;
  short         fat_anzahl;
  int           root_dir_eintraege;
  unsigned int  sektorenanzahl;
  int           sektoren_pro_fat;
  int           sektoren_pro_spur;
  short         seiten;
  int           versteckte_sektoren;
  short         mediadescriptor;
};

typedef struct bootsec_info  bootsec_info_t;

struct media {
  int           heads;
  int           tracks;
  int           sektors;
  int           bytes_pro_sektor;
  int           sektoren_pro_cluster;
  int           reservierte_sektoren;
  int           sektoren_pro_fat;
  int           fats;
  int           anzahl_sektoren_root_dir;
  int           root_dir_eintraege;
  int           gesamt_sektoren;
  int           freie_sektoren;
  int           cluster;
  long          gesamt_kap;
  long          daten_kap;
};

typedef struct media  media_t;

int get_bootsecinfo(int, bootsec_info_t *);

/* ------------------------------------------------------ */
/*                  Ende von LWINFO.H                     */
