(* ------------------------------------------------------ *)
(*                      REORG.PAS                         *)
(*            (c) 1990 Horst Zein & TOOLBOX               *)
(* ------------------------------------------------------ *)
PROGRAM ReOrg;

USES Crt, Index;

TYPE
  Daten   = RECORD
              Nr   : LONGINT;
              Name : STRING [20];
            END;

VAR
  d       : Daten;
  dFile,
  dTemp   : FILE OF Daten;
  DateiNr : BYTE;                        { schlssige Bez. }

BEGIN
  ClrScr;
  DateiNr := 3;
  Assign(dTemp, 'DTEMP.DAT');  Rewrite(dTemp);
  Assign(Kette, 'DATEN.IDX');  ReadKette;
  Assign(dFile, 'DATEN.DAT');  Reset(dFile);
  Find := Root[DateiNr];
  WHILE Find <> NIL DO BEGIN
    Seek(dFile, Find^.RecNo);  Read(dFile, d);
    WriteLn('Satz alt/neu: ', Find^.RecNo:6, '/',
             FileSize(dTemp):6, 'Name: ':11,
             d.name:21, 'Nummer: ':10, d.Nr:10);
    Find^.RecNo := FileSize(dTemp);
    Write(dTemp, d);
    Find := Find^.Next;
  END;
  Close(dFile);  Close(dTemp);
  Erase(dFile);  Rename(dTemp, 'DATEN.DAT');
  WriteKette;
END.
(* ------------------------------------------------------ *)
(*                 Ende von REORG.PAS                     *)
